Bug 783926 - createrepo_on_rpms is broken
Summary: createrepo_on_rpms is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-23 09:41 UTC by Remi Collet
Modified: 2012-02-24 23:40 UTC (History)
4 users (show)

Fixed In Version: mock-1.0.28-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-08 22:57:24 UTC
Type: ---
fedora: needinfo+


Attachments (Terms of Use)

Description Remi Collet 2012-01-23 09:41:50 UTC
mock-1.1.19-2.fc16.noarch

From /usr/sbin/mock

        if config_opts["cleanup_on_success"]:
            log.info("Cleaning up build root ('clean_on_success=True')")
            chroot.clean()

        if config_opts["createrepo_on_rpms"]:
            log.info("Running createrepo on binary rpms in resultdir")
            chroot.uidManager.dropPrivsTemp()
            cmd = config_opts["createrepo_command"].split()
            cmd.append(chroot.resultdir)
            chroot.doChroot(cmd)
            chroot.uidManager.restorePrivs()

createrepo should not be run in the chroot
- chroot is clean just before
- createrepo command is not installed in chroot


Switch to old
            mockbuild.util.do(cmd)

Fix the issue for me.

Comment 1 Clark Williams 2012-01-23 21:15:56 UTC
so you swapped out the chroot.doChroot() call for mockbuild.util.do() and it worked for you?

Comment 2 Remi Collet 2012-01-24 05:43:43 UTC
(In reply to comment #1)
> so you swapped out the chroot.doChroot() call for mockbuild.util.do() and it
> worked for you?

Yes.

Comment 3 Johan Cwiklinski 2012-01-24 20:50:18 UTC
I got the same issue; Remi's solution worked for me as well.

Comment 4 Clark Williams 2012-01-27 19:50:31 UTC
Ok, I'll do that and put it in the next release.

Comment 5 Fedora Update System 2012-02-01 16:45:15 UTC
mock-1.1.20-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.20-1.fc15

Comment 6 Fedora Update System 2012-02-01 16:46:11 UTC
mock-1.1.20-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.20-1.el6

Comment 7 Fedora Update System 2012-02-01 16:46:58 UTC
mock-1.1.20-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.20-1.fc16

Comment 8 Fedora Update System 2012-02-01 16:47:47 UTC
mock-1.0.27-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.27-2.el5

Comment 9 Fedora Update System 2012-02-02 17:28:50 UTC
Package mock-1.1.20-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mock-1.1.20-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1199/mock-1.1.20-1.fc16
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2012-02-08 22:57:24 UTC
mock-1.1.20-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2012-02-09 02:21:56 UTC
mock-1.1.21-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.21-1.fc15

Comment 12 Fedora Update System 2012-02-09 02:22:41 UTC
mock-1.1.21-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.21-1.el6

Comment 13 Fedora Update System 2012-02-09 02:23:24 UTC
mock-1.0.28-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.28-1.el5

Comment 14 Fedora Update System 2012-02-09 02:24:08 UTC
mock-1.1.21-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.21-1.fc16

Comment 15 Fedora Update System 2012-02-15 23:56:02 UTC
mock-1.1.21-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2012-02-19 02:00:11 UTC
mock-1.1.21-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2012-02-24 23:37:21 UTC
mock-1.1.21-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2012-02-24 23:40:53 UTC
mock-1.0.28-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.